<!--@Header-->
<?php
session_start();

if(isset($_SESSION['nomUsuario'])){
  
  $id=$_SESSION['cveUsuario'];
  $usuario = $_SESSION['nomUsuario']; 
  $rol_usuario = $_SESSION['rolUsuario'];

  if($rol_usuario=="ADMINISTRADOR"){
    include("../usuario_administrador/path/header.php");
  }else {
    include("path/header.php");
  }

  $datos = get_productos();
  $dato_usuarios=get_usuarios();

  $nota = crear_nota();
  if($nota[0]["INSERTADO"] == 1){
    $nta = get_nota($nota);
    //echo $nta[1]["CLAVE"];
    $id_nota = $nta[0]["ID"];
    $_SESSION['cveNota'] =$id_nota;
    
   /*  $id_session = bitSession($id, $id_nota); */
    
  }
}else{
echo "<script> 
      document.location.href='/aqua-restaurant/';
  </script>";
}

?>

<div class="row">
  <div class="col-lg-12">
    <div class="row">
      <div class="col-md-12 mb-lg-0">
        <div class="card-header pb-0 p-2">
          <div class="row">
            <!-- <div class="col-2">
              
              <i class="material-icons ms-auto text-dark cursor-pointer redondo-b" type="button" data-bs-toggle="modal" data-bs-placement="top" title="Cerrar" data-bs-target="#modalAdvertirSalida"  id="btn_cerrar_nota"><img style="padding: 20%;" width="50" src="../assets/img/icons/cerrar.png"></i>
              
            </div> -->
            <div class="col-2">
              <i class="material-icons ms-auto text-dark cursor-pointer redondo-b" type="button" data-bs-toggle="modal" data-bs-placement="top" title="Guardar" data-bs-target="#modalGuardar" id="btn_guardar_nota"><img style="padding: 20%;" width="50" src="../assets/img/icons/iconos-04.png"></i>
            </div>
            <div class="col-2">
              <i class="material-icons text-dark cursor-pointer redondo-b" data-bs-toggle="modal" data-bs-placement="top" title="Imprimir Nota de Venta" data-bs-target="#modalImprimir2"><img style="padding: 20%;" width="50" src="../assets/img/icons/impresion.png"></i>
            </div>
            <div class="col-4">
              <h5 class="mb-0 text-center" id="nom_mesero" data-id-uss="<?php //echo $datos[4]["USS_ID"]?>" data-uss-act=""><?php echo $nta[3]['NOMBRE'];?></h5>
            </div>
            <div class="col-4">
              <h5 class="mb-0 text-center" id="clave_nota" data-session="<?php echo $id_session?>">No. Nota: <?php echo $nta[1]["CLAVE"]?></h5>
              <input type="hidden" id="note_id" value="<?php //echo $nota[0]['ID'];?>">
            </div>
            <!--
            <div class="col-2">
              <i class="material-icons text-dark cursor-pointer redondo-b" data-bs-toggle="modal" data-bs-placement="top" title="Imprimir Nota de Venta" data-bs-target="#modalImprimir"><img style="padding: 20%;" width="50" src="../assets/img/icons/impresion.png"></i>
            </div>--> <!--
            <div class="col-2">
              <i class="material-icons ms-auto text-dark cursor-pointer redondo-b" type="button" data-bs-toggle="modal" data-bs-placement="top" title="Ver menu" data-bs-target="#Modal-2"><img style="padding: 20%;" width="50" src="../assets/img/icons/menu.png"></i>
            </div>
           
            <div class="col-2">
              <i class="material-icons ms-auto text-dark cursor-pointer redondo-b" type="button" data-bs-toggle="modal" data-bs-placement="top" title="Ver usuarios ON" data-bs-target="#modalUser"><img style="padding: 20%;" width="50" src="../assets/img/icons/user.png"></i>
            </div>
            <div class="col-2">
              <a href="/aqua-restaurant/functions/salir.php"><i class="material-icons ms-auto text-dark cursor-pointer redondo-b" data-bs-toggle="tooltip" data-bs-placement="top" title="Cerrar Sesion"><img style="padding: 20%;" width="50" src="../assets/img/icons/sesion.png"></i></a>
            </div>-->
            
           
          </div>
        </div>
      </div>
      
        <div class="row pt-1">
          <div class="col-lg-7 col-sm-6 mb-lg-0">
            <div class="card">
              <!--<div class="card-header p-1">
                <div class="text-start">
                  <h5 class="mb-0 text-center" id="nom_mesero"><?php echo $nta[3]['NOMBRE'];?></h5>
                </div>
              </div>-->
              <div class="row">
                <div class="col-sm-4">
                  <hr class="dark horizontal my-0">
                    <!-- <div class="card-footer p-2">
                      <select class="form-select" aria-label="Default select example" id="zona_atencion">
                        <option selected> Venta en piso</option>
                        <option value="Para llevar">Para llevar</option>
                      </select>
                    </div> -->
                    <div class="card-footer p-1">
                      <div class="input-group input-group-outline">
                        <label class="form-label">Número de personas</label>
                        <input type="text" class="form-control" id="no_personas">
                      </div>
                    </div>
                    <div class="card-footer p-1">
                      <?php if($rol_usuario=="ADMINISTRADOR"){?>
                        <select class="form-select" aria-label="Default select example" id="ntv_descuento" name="ntv_descuento">
                          <option value="0" selected>Descuento</option>
                          <option value="50">50%</option>
                          <option value="20">20%</option>
                          <option value="15">15%</option>
                        </select>
                        <?php } else{?>
                            <input type="hidden" class="form-control" id="ntv_descuento" name="ntv_descuento" value="0">
                        <?php }?>
                        
                    </div>
                   
                    
                </div>
                <div class="col-sm-4">
                    <div class="card-footer p-1">
                      <div class="input-group input-group-outline">
                        <label class="form-label">Mesa</label>
                        <input type="text" class="form-control" id="no_mesa">
                      </div>
                    </div>
                    
                </div>
                <div class="col-sm-4 text-center">
                  
                    <!--<i>Temp:</i>-->
                    <h1 style="font-size: 60px;" id="temporizador"></h1>
                  
                  
                </div>
              </div>
            </div>
          </div>

          <div class="col-lg-5 col-sm-6">
            <div class="card">
              <!--<div class="card-header p-1">
                <div class="text-start">
                  <h5 class="mb-0 text-center" id="clave_nota">No. Nota: <?php echo $nta[1]["CLAVE"]?></h5>
                </div>
              </div>-->
              <div class="row">
                <div class="col-sm-4 text-center">
                    <div class="card-footer p-1">
                      <div class="input-group input-group-outline">
                        <label class="form-label"></label>
                        <input type="text" class="form-control" id="hora_ini" value="<?php echo $nta[2]["HORA_INI"]?>" disabled>
                      </div>
                    </div>
                    <div class="card-footer p-1">
                      <div class="input-group input-group-outline">
                        <label class="form-label">Hora Up</label>
                        <input type="text" class="form-control" id="hora_edt">
                      </div>
                    </div>
                </div>
                <div class="col-sm-4 text-center">
                    <div class="d-flex flex-column pt-1">
                      <h6 class="mb-1 text-dark font-weight-bold text-sm">Subtotal:</h6>
                    </div>
                    <div class="d-flex flex-column pt-1">
                      <h6 class="mb-1 text-dark font-weight-bold text-sm">Descuento:</h6>
                    </div>
                    <div class="d-flex flex-column pt-1">
                      <h4 class="mb-1 text-dark font-weight-bold text-sm">Total:</h4>
                    </div>
                </div>
                <div class="col-sm-4 text-center">   
                    <div id="sub_des_total"></div>    
                    
                </div>
              </div>
            </div>
        </div>
          
        <form action="" method="post" id="form_productos"> 
        <div class="col-12">
          <div class="card">
            <div class="card-body px-0">
              <div class="table-responsive">
                <table class="table">
                  <thead style="background: #052659; color:#D5D8DC;">
                    <tr>
                      <th class="align-middle text-center" scope="col">1er Com</th>
                      <th class="align-middle text-center" scope="col">Cant</th>
                      <th class="align-middle text-center" scope="col">Producto</th>
                      <th class="align-middle text-center" scope="col">Precio</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr>
                      <th>
                        <div class="input-group input-group-outline">
                          <label class="form-label">Comensal</label>
                          <input type="text" class="form-control" id="comensal_nota" name="comensal_nota"  required>
                          
                        </div>
                      </th>
                      <th>
                        <div class="input-group input-group-outline">
                          <label class="form-label">Cantidad</label>
                          <input type="text" class="form-control" id="cantidad" name="cantidad"  required>
                          
                        </div>
                      </th>
                      <th>
                        <form autocomplete="off">
                          <div class="sizet input-group input-group-outline autocompletar">
                            <label class="form-label">Producto</label>
                            <input type="text" class="form-control" id="producto_nota" name="producto_nota" autocomplete = "off">
                            
                          </div>
                          <ul id="lista_produtos" class="list"></ul>
                          
                        </form>
                      </th>
                      
                      <th>
                        <div class="input-group input-group-outline">
                          <label class="form-label"><!--Precio--></label>
                          <input type="text" class="form-control" id="precio" name="precio" disabled >
                        </div>
                      </th>
                    </tr>
                  </tbody>
                </table>
                <table class="table">
                  <thead></thead>
                    <tbody>
                      <tr>
                        <td>
                          <div class="input-group input-group-outline" id="tiempo">
                          <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio1" value="T1" checked>
                            <label class="form-check-label" for="inlineRadio1">T1</label>
                          </div>
                          <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio2" value="T2">
                            <label class="form-check-label" for="inlineRadio1">T2</label>
                          </div>
                          <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio3" value="T3">
                            <label class="form-check-label" for="inlineRadio1">T3</label>
                          </div>
                          <div class="form-check form-check-inline">
                            <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio4" value="Entrada">
                            <label class="form-check-label" for="inlineRadio1">Entrada</label>
                          </div>
                            
                          </div>
                        </td>
                        <td>
                          <div class="sizet input-group input-group-outline">
                            <label class="form-label">Comentarios</label>
                            <input type="text" class="form-control" id="comentario" name="comentario">
                          </div>
                        </td>
                      </tr>
                    </tbody>
                </table>
                <!-- <table class="table p-1" >
                  <thead>
                      <tr>
                        <th class="align-middle text-center" scope="col">
                            <span class="badge badge-sm btn bg-gradient-warning" style="margin-bottom: 0; padding-bottom: 15px; padding-top: 15px;" id="btn_agregar">Agregar producto</span>
                        </th>
                        <th class="align-middle text-center" scope="col">
                            <span class="badge badge-sm btn bg-gradient-danger" style="margin-bottom: 0; padding-bottom: 15px; padding-top: 15px;" id="btn_eliminar_renglon">Eliminar renglon</span>
                        </th>
                        <th class="align-middle text-center" scope="col">
                            <span class="badge badge-sm btn bg-gradient-secondary" style="margin-bottom: 0; padding-bottom: 15px; padding-top: 15px;" id="btn_editar_renglon">Editar renglon</span>
                        </th>
                        <td class="align-middle text-center ">
                          <span class="badge badge-sm btn bg-gradient-info" type="button" data-bs-toggle="modal" data-bs-target="#modalBuscador" style="margin-bottom: 0; padding-bottom: 15px; padding-top: 15px;">Buscar producto</span>
                        </td>
                      </tr>
                    </thead>
                </table> -->
              </div>
            </div>

          </div>
        </div>
        </form>

        <div class="col-12">
          <div class="card">
            <div class="card-body px-0">
              <div class="table-responsive" style="max-height: 350px; overflow-y: auto;">
                <div id="tabla_productos_x_nota"></div>
              </div>
            </div>

          </div>
        </div>
    </div>
  </div>


</div>

<div class="toast-container position-fixed bottom-0 end-0 p-2">
  <div id="liveToast2" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
    <div class="toast-header">
      <img src="../assets/img/icons/alert-circle.png" class="rounded me-2" alt="" width="25px">
      <strong class="me-auto">USUARIO DIFERENTE</strong>
      <!-- <small>11 mins ago</small> -->
      <!-- <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button> -->
    </div>
    <div class="toast-body">
      La nota ha sido creada por un usuario diferente, por favor verifica si es la nota que deseas editar.
    </div>
  </div>
</div>

<!-- Modal Usuarios -->
<div class="modal fade" id="modalUser" tabindex="-1" aria-labelledby="modalUserLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalUserLabel">Usuarios Activos</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="card h-100">
            <div class="card-header pb-0 p-3">
              <div class="row">
                <div class="col-6 d-flex align-items-center">
                  <h6 class="mb-0">Usuario:</h6>
                </div>
              </div>
            </div>
            <div class="card-body p-3 pb-0">
              <ul class="list-group">
              <?php
                for($rr=0;$rr<count($dato_usuarios);$rr++){
              ?>
              <li class="list-group-item border-0 d-flex justify-content-between ps-0 mb-2 border-radius-lg">
                <div class="d-flex flex-column">
                  <h6 class="mb-1 text-dark font-weight-bold text-sm"><?php echo $dato_usuarios[$rr]['NOMBRE']?></h6>
                </div>
              </li>
              <?php
                }
              ?>
              </ul>
            </div>
          </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal Salida -->
<div class="modal fade" id="modalAdvertirSalida" tabindex="-1" aria-labelledby="modalAdvertirSalidaLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalAdvertirSalida">SALIR</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-10 d-flex align-items-center">
            <h6 class="mb-0">Estas por cerrar la nota, ten en consideracion que la nota se eliminara.</h6>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" id="btn_cerrar_nta">Cerrar nota</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal Impresion-->
<div class="modal fade" id="modalImprimir" tabindex="-1" aria-labelledby="modalImprimirLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalImprimirLabel">Impresión</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="card h-100">
            <div class="card-header pb-0 p-3">
              <div class="row">
                <div class="col-12 d-flex align-items-center">
                  <h6 class="mb-0">Selecciona el tipo de impresión:</h6>
                </div>
              </div>
            </div>
            <div class="card-body p-3 pb-0">
              <div class="form-check pt-1">
                <input class="form-check-input" type="radio" name="flexRadioDefault" id="flexRadioDefault3" checked>
                <label class="form-check-label" for="flexRadioDefault3">
                  Imprimir TODOS los productos.
                </label>
              </div>
              <div class="form-check pt-1">
                <input class="form-check-input" type="radio" name="flexRadioDefault" id="flexRadioDefault2">
                <label class="form-check-label" for="flexRadioDefault2">
                  Imprimir ULTIMOS productos agregados.
                </label>
              </div>
              <div class="form-check pt-1">
                <input class="form-check-input" type="radio" name="flexRadioDefault" id="flexRadioDefault1">
                <label class="form-check-label" for="flexRadioDefault1">
                  Imprimir cuenta.
                </label>
              </div>
            </div>
        </div>
        <br>
        <div id="tipo_de_pago"></div>
        <br>
        <div id="pago_efec_tarj"></div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" id="btn_imprimir">Imprimir</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal Impresion-->
<div class="modal fade" id="modalImprimir2" tabindex="-1" aria-labelledby="modalImprimir2Label" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalImprimir2Label">Impresión</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="card h-100">
            <div class="card-header pb-0 p-3">
              <div class="row">
                <div class="col-12 d-flex align-items-center">
                  <h6 class="mb-0">Selecciona el tipo de impresión:</h6>
                </div>
              </div>
            </div>
            <div class="card-body p-3 pb-0">
              <div class="form-check pt-1">
                <label class="form-check-label" for="flexRadioDefault6">
                  Imprimir TODOS los productos.
                </label>
                <div id="" style="margin-left:30px">
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault7" checked>
                  <label class="form-check-label" for="flexRadioDefault7">
                    Impresora 1
                    
                  </label>
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault8">
                  <label class="form-check-label" for="flexRadioDefault8">
                    Impresora 2
                  </label>
                  
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault9">
                  <label class="form-check-label" for="flexRadioDefault9">
                    Impresora 3
                  </label>
                  <!--
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault10">
                  <label class="form-check-label" for="flexRadioDefault10">
                    Cocina
                  </label>
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault11">
                  <label class="form-check-label" for="flexRadioDefault11">
                    PDF
                  </label>-->
                </div>
              </div>
              <div class="form-check pt-1">
                <label class="form-check-label" for="flexRadioDefault5">
                  Imprimir ULTIMOS productos agregados.
                </label>
                <div id="" style="margin-left:30px">
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault12" >
                  <label class="form-check-label" for="flexRadioDefault12">
                    Impresora 1
                  </label>
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault13">
                  <label class="form-check-label" for="flexRadioDefault13">
                    Impresora 2
                  </label>
                  
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault14">
                  <label class="form-check-label" for="flexRadioDefault14">
                    Impresora 3
                  </label>
                  <!--
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault15">
                  <label class="form-check-label" for="flexRadioDefault15">
                    Cocina
                  </label>
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault16">
                  <label class="form-check-label" for="flexRadioDefault16">
                    PDF
                  </label>-->
                </div>
              </div>
              <div class="form-check pt-1">
               <label class="form-check-label" for="flexRadioDefault4">
                  Imprimir cuenta.
                </label>
                <div id="" style="margin-left:30px">
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault17">
                  <label class="form-check-label" for="flexRadioDefault17">
                    Impresora 1
                  </label>
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault18">
                  <label class="form-check-label" for="flexRadioDefault18">
                    Impresora 2
                  </label>
                  
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault19">
                  <label class="form-check-label" for="flexRadioDefault19">
                    Impresora 3
                  </label>
                  <!--
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault20">
                  <label class="form-check-label" for="flexRadioDefault20">
                    Cocina
                  </label>
                  <input class="form-check-input" type="radio" name="flexRadioDefault3" id="flexRadioDefault21">
                  <label class="form-check-label" for="flexRadioDefault21">
                    PDF
                  </label>-->
                </div>
              </div>
            </div>
        </div>
        

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" id="btn_imprimir2">Imprimir</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal Menu Carta-->
<div class="modal fade" id="Modal-2" tabindex="-1" aria-labelledby="Modal-2Label" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="Modal-2Label">Ver carta</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-sm-10">
            <div class="ms-md-auto pe-md-3 d-flex align-items-center">
              <div class="input-group input-group-outline ">
                <label class="form-label">Buscador...</label>
                <input type="text" class="form-control" id="caja_buscar_producto1">
              </div>
            </div>
          </div>
          <div class="col-sm-2">
            <button type="button" class="btn btn-primary" style="padding-top: 5px; padding-bottom: 6px;"><img width="15" src="../assets/img/icons/buscar.png"></button>
          </div>
        </div>
        <div class="table-responsive pt-2">
          <div id="modal_2"></div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal Buscador-->
<div class="modal fade" id="modalBuscador" tabindex="-1" aria-labelledby="modalBuscador" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalBuscador">Buscador</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-sm-10">
            <div class="ms-md-auto pe-md-3 d-flex align-items-center">
              <div class="input-group input-group-outline ">
                <label class="form-label">Buscador...</label>
                <input type="text" class="form-control" id="caja_buscar_producto">
              </div>
            </div>
          </div>
          <div class="col-sm-2">
            <button type="button" class="btn btn-primary" style="padding-top: 5px; padding-bottom: 6px;"><img width="15" src="../assets/img/icons/buscar.png"></button>
          </div>
        </div>
        <div class="table-responsive pt-2">
          <div id="buscar_producto">

          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-success" id="pro_agregar_extra">Agregar Extra</button>
        <button type="button" class="btn btn-primary" id="pro_agregar_nota">Agregar</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal Guardar Nota -->
<div class="modal fade" id="modalGuardarNota" tabindex="-1" aria-labelledby="modalGuardarNota" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalGuardarNota">Guardar Nota</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-sm-10">
            ¡LOS DATOS HAN SIDO GUARDADOS EXITOSAMENTE!
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Modal par COMPLETAR DATOS -->
<div class="modal fade" id="modalCompletarDatos" tabindex="-1" aria-labelledby="modalCompletarDatos" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalCompletarDatos">Completar Datos</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
        <div class="row">
          <div class="col-sm-10">
            ¡POR FAVOR COMPLETA TODOS LOS DATOS Y REVISA QUE SEAN CORRECTOS!
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal Eliminar Renglon -->
<div class="modal fade" id="modalEliminarRenglon" tabindex="-1" aria-labelledby="modalEliminarRenglon" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalEliminarRenglon">ELIMINAR PRODUCTO</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      
        <div class="row">
          <div class="col-10 d-flex align-items-center">
            <h6 class="mb-0">Estas por eliminar el producto</h6>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" id="eliminar_renglon">Eliminar</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal Seleccionar Renglon -->
<div class="modal fade" id="modalSeleccionarRenglon" tabindex="-1" aria-labelledby="modalSeleccionarRenglon" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalSeleccionarRenglon">SELECCIONA EL RENGLON</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      
        <div class="row">
          <div class="col-10 d-flex align-items-center">
            <h6 class="mb-0">Para poder eliminar o editar un producto, por favor selecciona primero el producto</h6>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<!-- Modal Seleccionar Renglon -->
<div class="modal fade" id="modalEditarRenglon" tabindex="-1" aria-labelledby="modalEditarRenglon" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalEditarRenglon">EDICION EXITOSA</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      
        <div class="row">
          <div class="col-10 d-flex align-items-center">
            <h6 class="mb-0">Se ha editado satisfactoriamente el producto en la nota!</h6>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal MESA OCUPADA-->
<div class="modal fade" id="modalMesaOcupada" tabindex="-1" aria-labelledby="modalMesaOcupada" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalMesaOcupada">MESA OCUPADA</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      
        <div class="row">
          <div class="col-10 d-flex align-items-center">
            <h6 class="mb-0">La mesa que estas introduciendo actualmente esta ocupada, por favor introducir una mesa disponible</h6>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal Faltan datos del producto -->
<div class="modal fade" id="modalErrorAgrProducto" tabindex="-1" aria-labelledby="modalErrorAgrProducto" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalErrorAgrProducto">FALTA AGREGAR UN PRODUCTO</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      
        <div class="row">
          <div class="col-10 d-flex align-items-center">
            <h6 class="mb-0">Para poder generar un ticket, es necesario que primero agreges al menos un producto</h6>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal Faltan DINERO PARA PROCESAR EL PAGO -->
<div class="modal fade" id="modalErrProcesarPago" tabindex="-1" aria-labelledby="modalErrProcesarPago" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalErrProcesarPago">NO SE PUEDE COMPLETAR EL PAGO</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      
        <div class="row">
          <div class="col-10 d-flex align-items-center">
            <h6 class="mb-0">Revisa que la suma de las cantidades sea la misma que el total </h6>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal AGREGAR PRODUCTO -->
<div class="modal fade" id="modalAgregarProducto" tabindex="-1" aria-labelledby="modalAgregarProducto" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalAgregarProducto">CREAR PRODUCTO</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      
      <div class="modal-body">
        <form action="" method="post" id="formulario_crear_producto">
          <div class="row">
            <div class="col-6 d-flex align-items-center">
              <h5 class="mb-0">Clave: </h5>
              <div class="input-group input-group-outline">
                <input type="text" class="form-control" id="clave_prod_mat" name="clave_prod_mat">
              </div>
            </div>
            <div class="col-6 d-flex align-items-center">
              <h5 class="mb-0">Nombre: </h5>
              <div class="input-group input-group-outline">
                <input type="text" class="form-control" id="nombre_prod_mat" name="nombre_prod_mat">
              </div>
            </div>
            <div class="col-6 d-flex align-items-center  mt-2">
              <h5 class="mb-0">Cantidad: </h5>
              <div class="input-group input-group-outline">
                <input type="number" class="form-control" id="cantidad_prod_mat" name="cantidad_prod_mat">
                
              </div>
            </div>
            <div class="col-6 d-flex align-items-center mt-2">
              <h5 class="mb-0">Precio: </h5>
              <div class="input-group input-group-outline ">
                <input type="text" class="form-control" id="precio_prod_mat" name="precio_prod_mat">
              </div>
            </div>
          </form>
        </div>
        <div class="row">
          <div class="col-6 d-flex align-items-center">
            <div id="materias_primas_x_producto"></div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
        <button type="button" class="btn btn-primary" id="btn_crear_elementos_renglon">Crear</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal YA EXISTE PRODUCTO -->
<div class="modal fade" id="modalExisteProducto" tabindex="-1" aria-labelledby="modalExisteProducto" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalExisteProducto">YA EXISTE EL PRODUCTO</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      
      <div class="modal-body">
        <div class="row">
          <div class="col-10 d-flex align-items-center">
            <h6 class="mb-0">El producto que intentas crear ya existe, revisa que no repitas los nombres y claves.</h6>
          </div>
        </div>
          
      </div>
      <div class="modal-footer">
        
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>
<!-- Modal Faltan DINERO PARA PROCESAR EL PAGO -->
<div class="modal fade" id="modalSeleccionarImpresora" tabindex="-1" aria-labelledby="modalSeleccionarImpresora" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="modalSeleccionarImpresora">IMPRESORA: </h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body">
      
      <div class="card h-100">
            <div class="card-header pb-0 p-3">
              <div class="row">
                <div class="col-12 d-flex align-items-center">
                  <h6 class="mb-0">Selecciona la impresora</h6>
                </div>
              </div>
            </div>
            <div class="card-body p-3 pb-0">
              <div class="form-check pt-1">
                <input class="form-check-input" type="radio" name="flexRadioDefault1" id="flexRadioDefault7" value="Impresora1" checked>
                <label class="form-check-label" for="flexRadioDefault7">
                  Impresora 1
                </label>
              </div>
              <div class="form-check pt-1">
                <input class="form-check-input" type="radio" name="flexRadioDefault1" id="flexRadioDefault8" value="Impresora2">
                <label class="form-check-label" for="flexRadioDefault8">
                  Impresora 2
                </label>
              </div>
              <div class="form-check pt-1">
                <input class="form-check-input" type="radio" name="flexRadioDefault1" id="flexRadioDefault9" value="Impresora3">
                <label class="form-check-label" for="flexRadioDefault9">
                  Impresora 3
                </label>
              </div>
            </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cerrar</button>
        
        <button type="button" class="btn btn-primary" id="btn_imprimir_comandas">Imprimir</button>
      </div>
    </div>
  </div>
</div>


<div class="toast-container position-fixed bottom-0 end-0 p-2">
  <div id="liveToast" class="toast" role="alert" aria-live="assertive" aria-atomic="true">
    <div class="toast-header">
      <img src="../assets/img/icons/alert-circle.png" class="rounded me-2" alt="" width="25px">
      <strong class="me-auto">Nota abierta en otra sesion</strong>
      <!-- <small>11 mins ago</small> -->
      <!-- <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button> -->
    </div>
    <div class="toast-body">
      La nota a la cual has accedido, esta abierta desde otra sesion. Por favor verifica que estes accediendo a la nota que deseas editar.
    </div>
  </div>
</div>
<script src="../assets/js/jquery-3.5.1.min.js"></script>
<script src="../assets/js/funciones.js"></script>
<!-- INICIALIZACIÓN -->
<script>
  var tiempoInactivo = 20000; // 20 segundos
  var temporizador;
  var sec = 10;

  document.getElementById('temporizador').innerHTML = sec;

  temporizador = setTimeout(function() {
    // Realizar la acción deseada cuando el temporizador llega a cero
    var sec = 10;
    document.getElementById('temporizador').innerHTML = sec; 
    var contadorTimer = setInterval(iniciarContador, 5000); 
    //var contadorTimer = setInterval(segundos, 5000); 
  }, tiempoInactivo);
      
  $('select').on('change', function() {
      clearTimeout(temporizador);
      //console.log(temporizador);
      sec = 10;
      temporizador = setTimeout(function() {
        // Realizar la acción deseada cuando el temporizador llega a cero
        var sec = 10;
        document.getElementById('temporizador').innerHTML = sec; 
        var contadorTimer = setInterval(iniciarContador, 5000); 
        //var contadorTimer = setInterval(segundos, 5000); 
      },40000);
    });
  $('input').on('input', function() {
      clearTimeout(temporizador);
      //console.log(temporizador);
      sec = 10;
      temporizador = setTimeout(function() {
        // Realizar la acción deseada cuando el temporizador llega a cero
        var sec = 10;
        document.getElementById('temporizador').innerHTML = sec; 
        var contadorTimer = setInterval(iniciarContador, 5000); 
        //var contadorTimer = setInterval(segundos, 5000); 
      }, 40000);
    });

  $(document).on('click','#pro_nta_tabla tbody tr', function(){
      clearTimeout(temporizador);
      sec = 10;
      temporizador = setTimeout(function() {
        // Realizar la acción deseada cuando el temporizador llega a cero
        var sec = 10;
        document.getElementById('temporizador').innerHTML = sec; 
        var contadorTimer = setInterval(iniciarContador, 5000); 
        //var contadorTimer = setInterval(segundos, 5000); 
      }, 40000);
      
    });
    $('input[type="radio"]').click(function() {
      clearTimeout(temporizador);
      sec = 10;
      temporizador = setTimeout(function() {
        document.getElementById('temporizador').innerHTML = sec; 
        var contadorTimer = setInterval(iniciarContador, 5000); 
        //var contadorTimer = setInterval(segundos, 5000); 
      }, 40000);
    });
  function iniciarContador(){
    //variable para los segundos
    var seconds = sec % 60;
       // Enviar el resultado al attributo
      document.getElementById('temporizador').innerHTML = seconds; 
      
      // Si los segundos son igual a 0 entonces significa que debe volver al inicio (cerrar la nota), guardar y colocar en un estatus de cancelada la nota. 
      if (sec == 0) { 
        // CARGAR LOS DATOS DE LOS INPUTS PARA PASARLOS AL ARCHIVO pendiente.php PARA DEJAR PENDIENTE LA NOTA :)
        //var zona_atencion = document.getElementById('zona_atencion').value;
        var no_mesa = document.getElementById('no_mesa').value;
        var no_personas = document.getElementById('no_personas').value;
        var hora_edt = document.getElementById('hora_edt').value;
        var subtotal = $("#subtotal").text();
        var ntv_descuento = document.getElementById('ntv_descuento').value;
        
        var datos2 = {
          //"zona_atencion": zona_atencion,
          "no_mesa": no_mesa, 
          "no_personas": no_personas,
          "hora_edt": hora_edt,
          "subtotal": subtotal,
          "total_descuento": ntv_descuento,
          };
        // clearInterval(contadorTimer); 
        $.ajax({
            data: datos2,
            url: '../functions/pendiente_nota.php',
            type: 'post',
            success:  function (response) {
               $('#modalGuardarNota').modal('toggle'); 
              setTimeout(function() {
                location.href ="/aqua-restaurant/usuario_mesero/notas_de_venta.php";
              }, 3000);
            },
            error: function (error) {
                console.log(error); 
            }
        });

      } else { 
        sec--; 
      } 
  }
</script>
<script type="text/javascript">
 $(document).ready(function(){
  
    let note_id = $("#note_id").val();
    
    // validarSesionesNotaUsuario(note_id);
    // validarUsuarios()
    
    $('#tabla_productos_x_nota').load('tabla_productos_nota.php');
    $datos = "<div class='d-flex align-items-center text-sm p-1' data-value='0' >$0.00</div><div class='d-flex align-items-center text-sm p-1'  data-value='0'>$0.00</div><div class='d-flex align-items-center text-sm p-1'  data-value='0'>$0.00</div>";
    $('#sub_des_total').html($datos);
    document.getElementById('cantidad').value=1;
    document.getElementById('cantidad').setAttribute("style", "text-align: right;");
    
    var producto_nota_1 = document.getElementById('producto_nota');
    producto_nota_1.addEventListener('keyup', (e)=>{
      document.getElementById('producto_nota').classList.remove('input_error');
    });

    verificarComensal();
    document.getElementById('comensal_nota').setAttribute("style", "text-align: right;");

    /* $('#zona_atencion').on('change',function(){
      if(document.getElementById('zona_atencion').value=="Para llevar"){
        document.getElementById('no_mesa').classList.remove('input_error');
      }
    }); */
    //ACTUALIZAR DESCUENTO
   

    $('#ntv_descuento').on('change',function(){
      actualizar_descuento();
    });
    function actualizar_descuento(){
      var desc = $('#ntv_descuento_total');
      var subtotal = $("#subtotal").attr('data-value');
      var total = $("#total_nota");
      var ntv_descuento = document.getElementById('ntv_descuento').value;
      //desc.text();
      //desc.text(ntv_descuento);
      var descuento_en_pesos=(subtotal*ntv_descuento)/100;
      //desc.attr('data-value',descuento_en_pesos);
      desc.text('$'+parseFloat(descuento_en_pesos).toFixed(2));
      desc.attr('data-value',ntv_descuento);
      total.text('$'+parseFloat(subtotal-descuento_en_pesos).toFixed(2));
      total.attr('data-value',(subtotal-descuento_en_pesos));
      //console.log(total.attr('data-value'));
    }
    

    $('#btn_cerrar_nta').on('click', function(){
      var dato= {
        "id": 1,
        
      }
      /* $.ajax({
            data: dato,
            url: '../functions/cerrar_nota.php',
            type: 'post',
            success:  function (response) {
              location.href='/aqua-restaurant/usuario_mesero/notas_de_venta.php';
              
            },
            error: function (error) {
                console.log(error); 
            }
    }); */
    });
    function verificarComensal(){
      var dato= {
        "id": 1,
        
      }
        $.ajax({
              data: dato,
              url: '../functions/verificarComensal.php',
              type: 'post',
              dataType:'json',
              success:  function (response) {
                document.getElementById('comensal_nota').value = response.comensal;
                
              },
              error: function (error) {
                  console.log(error); 
              }
      });
    }
 });
</script>
<!-- VALIDAR DATOS DE LOS INPUTS EN PAGO-->
<script>
  
  $(document).on('change', '.input_pago_t', function() {
    var valor = $(this).val();
    const expresiones={
        caracteres: /^[a-zA-Z0-9]/,
        numeros: /^[0-9]/,
    }
    if(expresiones.numeros.test(valor)){
        this.classList.remove('input_error');
      }else{
        this.classList.add('input_error');
      }
  });
  
</script>
<!--// AUTOCOMPLETADO DE PRODUCTO //-->
<script type="text/javascript">
  var input = document.getElementById('producto_nota');

  input.addEventListener("keyup", (e)=>{
    var valor = input.value;
    
    $.ajax({
        data: {consulta: valor},
        url: '../functions/autocomplete_bus_producto.php',
        type: 'post',
        dataType:'html',
        success:  function (response) {
          $('#lista_produtos').html(response);
          
        },
        error: function (error) {
            console.log(error); 
        }
    });
  });
  $(document).ready(function(){
    $(document).on('click', '#lista_produtos li', function(){
      
      document.getElementById('producto_nota').value =$(this).text();
      var producto = $(this).text();
      $.ajax({
        data: {producto: producto},
        url: '../functions/precio_producto.php',
        type: 'post',
        dataType:'html',
        success:  function (response) {
          //console.log(response);
          document.getElementById('precio').value =response;
          removeElements();
        },
        error: function (error) {
            console.log(error); 
        }
    });

    });
    
  });
  function removeElements(){
    let items = document.querySelectorAll(".list-items");
    items.forEach((item) => {
      item.remove();
    });
  }
</script>
<!--// SELECCIONAR, EDITAR y ELIMINAR ELEMENTOS DE LA TABLA DE PRODUCTOS DE LA NOTA //-->
<script>
  //////////////////////////////////////////////////////////
  var id="";
  var cantidad ="";
  var precio="";
  var producto="";
  var comentario="";

  $(document).on('click','#pro_nta_tabla tbody tr', function(){
    id= $(this).find('th:eq(0)').text();
    cantidad = $(this).find('.input-cantidad').val();
    //precio=$(this).find('.input-precio').val();
    comentario=$(this).find('.input-comentario').val();
    producto = $(this).find('td:eq(1)').text();
    
    tiempo_var=$(this).find('td:eq(5)').text();

     /*if($(this).find('.input-precio').val()){
      precio=$(this).find('.input-precio').val();
      
    }*/
    if ($(this).find('td:eq(3)')) {
      precio=$(this).find('td:eq(3)').text();
    }
    if (precio==0) {
      precio=$(this).find('.input-precio').val();
    }
    if (!$(this).hasClass('bg-danger-c')) {
      cleanTr();
      $(this).addClass('row-selected');
    }


    //document.getElementById('cantidad').value = cantidad;
    document.getElementById('producto_nota').value = producto;
    document.getElementById('precio').value = precio;
/*
    if(tiempo_var=="T1"){
      $('#inlineRadio1').prop('checked', true);
    }
    if(tiempo_var=="T2"){
      $('#inlineRadio2').prop('checked', true);
    }
    if(tiempo_var=="T3"){
      $('#inlineRadio3').prop('checked', true);
    }
    if(tiempo_var=="T4"){
      $('#inlineRadio4').prop('checked', true);
    }*/
    
  });
  //////////////////////////////////////////////////////////
  $(document).on('change', '.input-cantidad', function() {
    var tr = $(this).closest('tr');
    cantidad = $(this).val();
    //console.log(cantidad);
  });
  $(document).on('change', '.input-precio', function() {
    var tr = $(this).closest('tr');
    precio = $(this).val();
    //console.log(cantidad);
  });
  $(document).on('change', '.input-comentario', function() {
    var tr = $(this).closest('tr');
    comentario = $(this).val();
    console.log(comentario);
  });
  function cleanTr(){
      $('.row-selected').each(function(index, element){
        $(element).removeClass('row-selected');
      })
    }

  $('#btn_eliminar_renglon').on('click',function(){
    
    if(id!=""){
      cleanTr()
      $('#modalEliminarRenglon').modal('show'); 
      
    }
    else{
      ////////// alert('selecciona una fila'); //////////////////////
      $('#modalSeleccionarRenglon').modal('show'); 
    }
    
  });
  
  $('#eliminar_renglon').on('click', function(){
    var subtotal = $("#subtotal").attr('data-value');
    var ntv_descuento = document.getElementById('ntv_descuento').value;

    var datos = {
      "id": id,
      "ntv_descuento": ntv_descuento, 
    }
    //console.log(ntv_descuento);
    
    $.ajax({
        data: datos,
        url: '../functions/eliminar_prod_nota.php',
        type: 'post',
        dataType:'html',
        success:  function (response) {
          $('#sub_des_total').html(response);
          //actualizar_descuento();
          $('#tabla_productos_x_nota').load('tabla_productos_nota.php');
        },
        error: function (error) {
            console.log(error); 
        }
    });
    id='';
    $('#modalEliminarRenglon').modal('toggle'); 
    
  });

  $('#btn_editar_renglon').on('click', function(){
    if(id!=''){
      var ntv_descuento = document.getElementById('ntv_descuento').value;
      var datos_a_editar={
        "id": id,
        "cantidad": cantidad,
        "precio": precio, 
        "comentario": comentario, 
        "ntv_descuento": ntv_descuento,
      };
      /*
      //$('#modalEditarRenglon').modal('show');
      //document.getElementById("nombre_prod").value=producto;
      //document.getElementById("cantidad_prod").value=cantidad;
      //$('#materias_primas_x_producto').load('materias_primas_x_nota.php');
      $.ajax({
          data: datos_a_editar,
          url: 'materias_primas_x_nota.php',
          type: 'post',
          dataType:'html',
          success:  function (response) {
            $('#sub_des_total').html(response);
            $('#modalEliminarRenglon').modal('toggle'); 
            //$('#materias_primas_x_producto').html(response);
            $('#tabla_productos_x_nota').load('tabla_productos_nota.php');
            
          },
          error: function (error) {
              console.log(error); 
          }
      });*/
      
      $.ajax({
          data: datos_a_editar,
          url: '../functions/editar_prod_nota.php',
          type: 'post',
          dataType:'html',
          success:  function (response) {
            $('#sub_des_total').html(response);
            $('#tabla_productos_x_nota').load('tabla_productos_nota.php');
            $('#modalEditarRenglon').modal('toggle');
            
          },
          error: function (error) {
              console.log(error); 
          }
      });
      id='';
    }else{
      $('#modalSeleccionarRenglon').modal('show'); 
    }
    
   
  });
  $("#mod_elementos_renglon").on('click', function(){
    console.log(producto);
    $('#modalEditarRenglon').modal('toggle');
    $('#modalEditarDatos').modal('show');
  });

  $("#pro_agregar_extra").on('click', function(){
    $('#modalBuscador').modal('toggle');
    $('#modalAgregarProducto').modal('show');
  });

</script>

<!-- ////////// BOTON PARA GUARDAR NOTA ///////////// -->
<script>
  var modalGuardaNota = document.getElementById("modalGuardarNota");

  $('#btn_guardar_nota').on('click', function(){

       //var zona_atencion = document.getElementById('zona_atencion').value;
        var no_mesa = document.getElementById('no_mesa').value;
        var no_personas = document.getElementById('no_personas').value;
        var hora_edt = document.getElementById('hora_edt').value;
        var ntv_descuento = document.getElementById('ntv_descuento').value;
        var subtotal = $("#subtotal").attr('data-value');
        // var sesion_id = $('#clave_nota').attr('data-session');
        
        
        var datos2 = {
         // "zona_atencion": zona_atencion,
          "no_mesa": no_mesa, 
          "no_personas": no_personas,
          "hora_edt": hora_edt,
          "subtotal": subtotal,
          "total_descuento": ntv_descuento,
          // "sesion_id": sesion_id,
          }

        $.ajax({
            data: datos2,
            url: '../functions/pendiente_nota.php',
            type: 'post',
            success:  function (response) {
              
              if(response = "pendiente"){
                $('#modalGuardarNota').modal('toggle'); 
                setTimeout(function() {
                  location.href ="/aqua-restaurant/usuario_mesero/notas_de_venta.php";
                }, 3000);
              }
            },
            error: function (error) {
                console.log(error); 
            }
        });
  });
</script>

<!--// AÑADIR PRODUCTO A LA LISTA USANDO EL BUSCADOR //-->
<script>
  $(document).ready(function(){
    $(document).on('click', '#add_producto tbody tr', function(){
      var tr = $(this).closest('tr');
      var nombre_prod = $(tr).find('td:nth-child(2)').text();
      var precio_prod = $(tr).find('td:nth-child(3)').text();
      nombre_product= nombre_prod;
      precio_product=precio_prod;
      
      cleanTr();
      $(this).addClass('row-selected');
 
      function cleanTr(){
          $('.row-selected').each(function(index, element){
            $(element).removeClass('row-selected');
            
          })
        }
      });
    $('#pro_agregar_nota').on('click', function() {
        cambiar_datos_productos_nota(nombre_product,precio_product);
        document.getElementById('producto_nota').classList.remove('input_error');
        $('#modalBuscador').modal('toggle'); 
        
    });
  });
  
</script>
<!-- ////////////////////// AGREGAR PRODUCTO ////////////////////////-->
<script >
   // VALIDAR DATOS //
    const form = document.getElementById('form_productos');
    const inputs = document.querySelectorAll('#form_productos input');

    document.getElementById('cantidad').value=1;
    $('input[type="radio"]').click(function() {
      var opcionSeleccionada = $(this).val();
      //console.log('La opción seleccionada es ' + opcionSeleccionada);
    });
    const expresiones={
        caracteres: /^[a-zA-Z0-9]/,
        numeros: /^[0-9]/,
    }
    const campos = {
      comensal_nota: false,
      cantidad:true,
      producto_nota: false,
      no_personas: false,
      precio_producto: false,
      cantidad_producto: false,
    }


    const validarFormulario = (e) => {
      
      switch (e.target.name){
       
        case "comensal_nota":
          if(expresiones.caracteres.test(e.target.value)){
            document.getElementById('comensal_nota').classList.remove('input_error');
            campos['comensal_nota'] = true;
          }else{
            document.getElementById('comensal_nota').classList.add('input_error');
            campos['comensal_nota'] = false;
          }
        break;

        case "cantidad":
          if(expresiones.numeros.test(e.target.value)){
            document.getElementById('cantidad').classList.remove('input_error');
            campos['cantidad'] = true;
          }else{
            document.getElementById('cantidad').classList.add('input_error');
            campos['cantidad'] = false;
          }
        break;
          /*
        case "producto_nota":
          if(expresiones.caracteres.test(e.target.value)){
            document.getElementById('producto_nota').classList.remove('input_error');
            campos['producto_nota'] = true;
          }else{
            document.getElementById('producto_nota').classList.add('input_error');
          }
        break;*/
      }
    }
    inputs.forEach((input) => {
      input.addEventListener('keyup', validarFormulario);
      input.addEventListener("blur", validarFormulario);
    });

    $('#btn_agregar').on('click', function() {
        //e.preventDefault();
        if(document.getElementById('comensal_nota').value!="" && document.getElementById('cantidad').value!="" && document.getElementById('precio').value && document.getElementById('producto_nota').value!=""){
            var comensal = document.getElementById('comensal_nota').value;
            var cantidad = document.getElementById('cantidad').value;
            var producto = document.getElementById('producto_nota').value;
            var precio = document.getElementById('precio').value;
            //var tiempo = document.getElementById('tiempo_nota').value;
            var opcionTiempo = $('input[type="radio"]:checked').val();
            var comentario = document.getElementById('comentario').value;
            var ntv_descuento = document.getElementById('ntv_descuento').value;
            // ENVIAR LOS DATOS A LA TABLA DE PRODUCTO-NOTA
            var datos = {
                "comensal":comensal,
                "cantidad":cantidad,
                "producto":producto,
                "precio":precio,
                "tiempo":opcionTiempo,
                "comentario":comentario,
                      
                "ntv_descuento": ntv_descuento,
            };
            
            var url = "../functions/producto_nota.php"; 
              
            enviarDatos(datos, url); 
            verificarComensal();
            vaciarDatos();
            document.getElementById('cantidad').value=1;
            
            
            campos['comensal_nota'] =false;
            campos['producto_nota'] =false;
            
        }else{
          ////////alert('Completa todos los campos');///////
          if(document.getElementById('producto_nota').value==""){
            document.getElementById('producto_nota').classList.add('input_error');
          }
          if(document.getElementById('comensal_nota').value==""){
            document.getElementById('comensal_nota').classList.add('input_error');
            campos['producto_nota'] =false;

            $('#comensal_nota').prop('disabled', false);
          }
          if(document.getElementById('cantidad').value==""){
            document.getElementById('cantidad').classList.add('input_error');
            campos['cantidad'] =false;
          }
          
          $('#modalCompletarDatos').modal("show");
          
        }
    });
    function verificarComensal(){
      var dato= {
        "id": 1,
      }
        $.ajax({
              data: dato,
              url: '../functions/verificarComensal.php',
              type: 'post',
              dataType:'json',
              success:  function (response) {
                 if (response.comensal != "") {
                  
                  document.getElementById('comensal_nota').value = response.comensal;
                  
                  $('#comensal_nota').prop('disabled', true);
                }
                
                
              },
              error: function (error) {
                  console.log(error); 
              }
      });
    }
    
</script>
<!-- ////////////////////// VALIDAR DATOS DE LA NOTA ////////////////////////-->
<script>
  var no_personas = document.getElementById('no_personas');
  var no_mesa = document.getElementById('no_mesa');
  
  no_personas.addEventListener("keyup", (e)=>{
    if(expresiones.numeros.test(e.target.value)){
      document.getElementById('no_personas').classList.remove('input_error');
      campos['no_personas'] = true;
    }else{
      document.getElementById('no_personas').classList.add('input_error');
    }
  });
  no_personas.addEventListener("blur", (e)=>{
    if(expresiones.numeros.test(e.target.value)){
      document.getElementById('no_personas').classList.remove('input_error');
      campos['no_personas'] = true;
    }else{
      document.getElementById('no_personas').classList.add('input_error');
    }
  });
  no_mesa.addEventListener('keyup', (e)=>{
    if(expresiones.numeros.test(e.target.value)){
        document.getElementById('no_mesa').classList.remove('input_error');
        campos['no_mesa'] = true;
      }else{
        /* if(document.getElementById('zona_atencion').value=="Venta en piso"){
          document.getElementById('no_mesa').classList.add('input_error');
        }else{
          document.getElementById('no_mesa').classList.remove('input_error');
        } */
        
      }
    });
    no_mesa.addEventListener("blur", (e)=>{
      if(expresiones.numeros.test(e.target.value)){
        document.getElementById('no_mesa').classList.remove('input_error');
        campos['no_mesa'] = true;
        validarMesa(no_mesa.value);
      }else{
        /* if(document.getElementById('zona_atencion').value=="Venta en piso"){
          document.getElementById('no_mesa').classList.add('input_error');
        }else{
          document.getElementById('no_mesa').classList.remove('input_error');
        } */
      }
    });
    function validarMesa(no_mesa){
    $.ajax({
            data: {no_mesa: no_mesa},
            url: '../functions/validar_mesa.php',
            type: 'post',
            success:  function (response) {
              if (response==0) {
                //modalMesaOcupada
                $('#modalMesaOcupada').modal('show'); 
              }
              console.log(response);
            },
            error: function (error) {
                console.log(error); 
            }
        });
  }

  
</script>
<script>
  $(document).ready(function(){
    var cantidad_prod_mat = document.getElementById('cantidad_prod_mat');
  
    cantidad_prod_mat.addEventListener("keyup", (e)=>{
      if(expresiones.numeros.test(e.target.value)){
        cantidad_prod_mat.classList.remove('input_error');
        campos['cantidad_producto'] = true;
      }else{
        cantidad_prod_mat.classList.add('input_error');
        campos['cantidad_producto'] = false;
      }
    });
    cantidad_prod_mat.addEventListener("blur", (e)=>{
      if(expresiones.numeros.test(e.target.value)){
        cantidad_prod_mat.classList.remove('input_error');
        campos['cantidad_producto'] = true;
      }else{
        cantidad_prod_mat.classList.add('input_error');
        campos['cantidad_producto'] = false;
      }
    });

    var precio_prod_mat = document.getElementById('precio_prod_mat');
  
    precio_prod_mat.addEventListener("keyup", (e)=>{
      if(expresiones.numeros.test(e.target.value)){
        document.getElementById('precio_prod_mat').classList.remove('input_error');
        campos['precio_producto'] = true;
      }else{
        precio_prod_mat.classList.add('input_error');
        campos['precio_producto'] = false;
      }
    });
    precio_prod_mat.addEventListener("blur", (e)=>{
      if(expresiones.numeros.test(e.target.value)){
        document.getElementById('precio_prod_mat').classList.remove('input_error');
        campos['precio_producto'] = true;
      }else{
        precio_prod_mat.classList.add('input_error');
      }
    });
    var nombre_prod_mat = document.getElementById('nombre_prod_mat');
  
    nombre_prod_mat.addEventListener("keyup", (e)=>{
      if(expresiones.caracteres.test(e.target.value)){
        nombre_prod_mat.classList.remove('input_error');
        
      }else{
        nombre_prod_mat.classList.add('input_error');
        
      }
    });
    nombre_prod_mat.addEventListener("blur", (e)=>{
      if(expresiones.caracteres.test(e.target.value)){
        nombre_prod_mat.classList.remove('input_error');
        
      }else{
        nombre_prod_mat.classList.add('input_error');
        
      }
    });
    var clave_prod_mat = document.getElementById('clave_prod_mat');
  
    clave_prod_mat.addEventListener("keyup", (e)=>{
      if(expresiones.caracteres.test(e.target.value)){
        clave_prod_mat.classList.remove('input_error');
        
      }else{
        clave_prod_mat.classList.add('input_error');
        
      }
    });
    clave_prod_mat.addEventListener("blur", (e)=>{
      if(expresiones.caracteres.test(e.target.value)){
        clave_prod_mat.classList.remove('input_error');
        
      }else{
        clave_prod_mat.classList.add('input_error');
        
      }
    });
  });


  $("#btn_crear_elementos_renglon").click(function() {
    var formData = $('#formulario_crear_producto').serialize();
    if(document.getElementById('clave_prod_mat').value!="" && document.getElementById('nombre_prod_mat').value !="" && campos.cantidad_producto==true && campos.precio_producto==true){
      $.ajax({
        data: formData,
        url: '../functions/crear_producto.php',
        type: 'post',
        dataType:'json',
        success:  function (response) {
          $('#modalAgregarProducto').modal('toggle');
          console.log(response);
          if(response.clave_producto){
            document.getElementById('producto_nota').value = response.nombre_producto;
            document.getElementById('precio').value = response.precio_producto;
            document.getElementById('cantidad').value = response.cantidad_producto;
            document.getElementById('producto_nota').classList.remove('input_error');
            document.getElementById('cantidad').classList.remove('input_error');
            document.getElementById('clave_prod_mat').value="";
            document.getElementById('nombre_prod_mat').value="";
            document.getElementById('cantidad_prod_mat').value="";
            document.getElementById('precio_prod_mat').value="";
            campos['cantidad'] = true;
            campos['cantidad_producto'] = false;
            campos['precio_producto'] = false;
          }else{
            if (response.ya_existe) {
              //modalExisteProducto
              $('#modalExisteProducto').modal('show');
            }
          }    
        },
        error: function (error) {
            console.log(error); 
        }
      });
    }else{
      
      if (document.getElementById('clave_prod_mat').value=="") {
        document.getElementById('clave_prod_mat').classList.add('input_error');
      }else{
        document.getElementById('clave_prod_mat').classList.remove('input_error');
      }
      if (document.getElementById('nombre_prod_mat').value=="") {
        document.getElementById('nombre_prod_mat').classList.add('input_error');
      }else{
        document.getElementById('nombre_prod_mat').classList.remove('input_error');
      }
      if (campos.cantidad_producto==false) {
        document.getElementById('cantidad_prod_mat').classList.add('input_error');
      }
      if (campos.precio_producto==false) {
        document.getElementById('precio_prod_mat').classList.add('input_error');
      }
      
    }
  
  });
</script>
<!--//////////////// IMPRIMIR PDF //////////////////-->

<!--//////////////// SELECCIONAR IMPRESORA //////////////////-->
<script>
  $('#btn_imprimir_comandas').on('click', function(){
    var opcionImprComanda;
    if($('#flexRadioDefault7').is(':checked')){
      opcionImprComanda= "EPSON-TM-T20II";
    }
    if($('#flexRadioDefault8').is(':checked')){
      opcionImprComanda= "BIXOLON-SRP-350plusIII";
    }
    if($('#flexRadioDefault9').is(':checked')){
      opcionImprComanda= "Impresora 3";
    }
   // console.log(opcionImprComanda);
    var dato = {
        "opcionImprComanda": opcionImprComanda,   
        
      }; 
    $.ajax({
            data: dato,
            url: '../ticket/ticket_comanda_1.php',
            type: 'post',
            success:  function (response) {
              console.log(response);
              
            },
            error: function (error) {
                console.log(error); 
            }
    });
    
  });
</script>

<!--//////////////// IMPRIMIR PDF //////////////////-->
<script>
  /*
  $(document).ready(function() {
    $('#flexRadioDefault1').change(function() {
      if(this.checked) {
        
        $('#tipo_de_pago').load('../functions/tipo_pago.php', function(){
          $('#flexRadioDefault4').change(function() {
            if(this.checked) {
              $('#pago_efec_tarj').load('../functions/pagos_efec_tarj.php');
            }
          });
          $('#flexRadioDefault5').change(function() {
          
            if(this.checked) {
              $('#pago_efec_tarj').empty();
              
            }
          });
          $('#flexRadioDefault6').change(function() {
          
            if(this.checked) {
              $('#pago_efec_tarj').empty();
              
            }
          });
        });
      }
    });
    $('#flexRadioDefault2').change(function() {
      if(this.checked) {
        $('#tipo_de_pago').empty();
      }
    });
    $('#flexRadioDefault3').change(function() {
      if(this.checked) {
        $('#tipo_de_pago').empty();
      }
    });

   
  });
  */

  $(document).ready(function() {
    $('#flexRadioDefault6').change(function() {
      if(this.checked) {
        $('#flexRadioDefault7').prop('checked', true);
      }
    });
    $('#flexRadioDefault5').change(function() {
      $('#flexRadioDefault12').prop('checked', true);
    });
    $('#flexRadioDefault4').change(function() {
      $('#flexRadioDefault17').prop('checked', true);
    });
  });
 $('#btn_imprimir2').on('click', function(){
  
    if (document.getElementById('no_mesa').value !="" && document.getElementById('no_personas').value) {
      cargarDatosNota();
    }else{
      /* if(document.getElementById('zona_atencion').value=="Para llevar" && document.getElementById('no_personas').value){
        cargarDatosNota();
      }else{*/
        $('#modalImprimir2').modal('toggle'); 
        $('#modalCompletarDatos').modal("show");
     /* } */
    }
    
  
    function cargarDatosNota(){
      //var zona_atencion = document.getElementById('zona_atencion').value;
      var no_mesa = document.getElementById('no_mesa').value;
      var no_personas = document.getElementById('no_personas').value;
      var hora_edt = document.getElementById('hora_edt').value;
      var clave_nota = $("#clave_nota").text();
      var mesero = $("#nom_mesero").text();
      var ntv_descuento = document.getElementById('ntv_descuento').value;
      var pago_total_tarjeta=0;
      var pago_total_efectivo=0;
      var tipo_pago =0;
      var impresora = "";
      var tipo = 0;
      var imp=0;
      
      if($('#flexRadioDefault7').is(':checked')){
          tipo =1;
          impresora = "EPSON-TM-T20II";
          
          imp=1;
        }
        if($('#flexRadioDefault8').is(':checked')){
          tipo =1;
          impresora = "smb://mi_cabanita_2:1234@MI-CABANITA2/BIXOLON-SRP-350plusIII";
          imp=2;
        }
        if($('#flexRadioDefault9').is(':checked')){
          tipo =1;
          impresora = "smb://mi_cabanita_3:1234@Micabanita3/bixolon-srp-350iii";
          imp=3;
        }

        if($('#flexRadioDefault10').is(':checked')){
          tipo =1;
          imp=4;
          impresora = "cocina";
        }
        if($('#flexRadioDefault11').is(':checked')){
          tipo =1;
          imp=5;
          impresora = "local";
        }
     

        if($('#flexRadioDefault12').is(':checked')){
          tipo =2;
          imp=6;
          impresora = "EPSON-TM-T20II";
        }
        if($('#flexRadioDefault13').is(':checked')){
          tipo =2;
          imp=7;
          impresora = "smb://mi_cabanita_2:1234@MI-CABANITA2/BIXOLON-SRP-350plusIII";
        }
        if($('#flexRadioDefault14').is(':checked')){
          tipo =2;
          imp=8;
          impresora = "smb://mi_cabanita_3:1234@Micabanita3/bixolon-srp-350iii";
        }

        if($('#flexRadioDefault15').is(':checked')){
          tipo =2;
          imp=9;
          impresora = "cocina";
        }
        if($('#flexRadioDefault16').is(':checked')){
          tipo =2;
          imp=10;
          impresora = "local";
        }
      

     
        if($('#flexRadioDefault17').is(':checked')){
          tipo =3;
          imp=11;
          impresora = "EPSON-TM-T20II";
        }
        if($('#flexRadioDefault18').is(':checked')){
          
          tipo =3;
          imp=12;
          impresora = "smb://mi_cabanita_2:1234@MI-CABANITA2/BIXOLON-SRP-350plusIII";
        }
        if($('#flexRadioDefault19').is(':checked')){
          tipo =3;
          imp=13;
          impresora = "smb://mi_cabanita_3:1234@Micabanita3/bixolon-srp-350iii";
        }
        if($('#flexRadioDefault20').is(':checked')){
          tipo =3;
          imp=14;
          impresora = "cocina";
        }
        if($('#flexRadioDefault21').is(':checked')){
          tipo =3;
          imp=15;
          impresora = "local";
        }
      
      
      var datos2 = {
        "clave_nota": clave_nota,   
        //"zona_atencion": zona_atencion,
        "mesero": mesero,
        "hora_edt": hora_edt,
        "no_mesa": no_mesa, 
        "no_personas": no_personas,
        "ntv_descuento":ntv_descuento,
        "tipo_pago":tipo_pago,
        "pago_total_efectivo":pago_total_efectivo,
        "pago_total_tarjeta":pago_total_tarjeta,
        "opcionImprComanda":impresora,
        "tipo":tipo,
      }; 
      //console.log(tipo_pago);
      
      if($('#flexRadioDefault11').is(':checked') || $('#flexRadioDefault16').is(':checked') || $('#flexRadioDefault21').is(':checked')){
        
        generar_impresiones(tipo, imp, datos2);
        $('#tabla_productos_x_nota').load('tabla_productos_nota.php');
        
      }else {
        
        generar_impresiones(tipo, imp, datos2);
        /*
        if($('#flexRadioDefault4').is(':checked')){
          //console.log();
          var tarjeta = parseInt(document.getElementById('pago_total_tarjeta').value);
          var efectivo = parseInt(document.getElementById('pago_total_efectivo').value);
          var suma_pago = tarjeta + efectivo;
          var total = parseInt($("#total_nota").attr('data-value'));
          //console.log(suma_pago);
          
          if (suma_pago>=total) {
            terminar_nota(datos2);
          } else {
            $('#modalImprimir').modal('toggle'); 
            $('#modalErrProcesarPago').modal('show'); 
          }
          
        }else{
          if($('#flexRadioDefault5').is(':checked')){
            terminar_nota(datos2);
          }
          if($('#flexRadioDefault6').is(':checked')){
            terminar_nota(datos2);
          }
          //console.log('hol');
        }
        */
        //terminar_nota(datos2);
        $('#tabla_productos_x_nota').load('tabla_productos_nota.php');

      }
        

    }
    function generar_impresiones(tipo, imp, datos2){
      
      if (imp == 1 || imp == 2||imp == 3) {
        terminar_cuenta_todos_red(datos2);
        //
      }
      if (imp == 6||imp == 7||imp == 8) {
        terminar_cuenta_ultimos_red(datos2);
      }
      if (imp == 11||imp == 12||imp == 13) {
        terminar_cuenta_red(datos2);
      }
     
      if (imp == "cocina") {
        terminar_cuenta_todos_red(datos2);
      }
      if (imp == 5 || imp==10 || imp==15) {
        if (tipo==1) {
          
          terminar_cuenta_todos(datos2)
        }
        if(tipo==2){
          
          ultimos_productos(datos2)
        }
        if(tipo==3){
          terminar_nota(datos2)
        }
        
      }
      
    }
    function terminar_nota(datos2){
      console.log('terminar_nota');
      $.ajax({
        data: datos2,
        url: '../functions/terminar_nota.php',
        type: 'post',
        success:  function (response) {
          console.log(response);
          
          if (response==1) {
            
            $('#modalImprimir2').modal('toggle'); 
              
              var url = "/aqua-restaurant/ticket/ticket_nota_venta.php";
              window.open(url,"_blank");
              $('#tabla_productos_x_nota').load('tabla_productos_nota.php');
              
            }else{
              $('#modalImprimir2').modal('toggle'); 
              $('#modalErrorAgrProducto').modal('toggle'); 
              
            }
        },
        error: function (error) {
            console.log(error); 
        }
    });
    }

    function terminar_cuenta_todos(datos2){
      console.log('terminar_cuenta_todos');
      $.ajax({
            data: datos2,
            url: '../functions/comandas_ticket.php',
            type: 'post',
            success:  function (response) {
              
              console.log(response);
              if (response==1) {
                $('#modalImprimir2').modal('toggle'); 
                var url = "/aqua-restaurant/ticket/ticket_comanda.php";
                window.open(url,"_blank");
                //$('#modalSeleccionarImpresora').modal('show'); 
                $('#tabla_productos_x_nota').load('tabla_productos_nota.php');
                
              }else{
                $('#modalImprimir2').modal('toggle'); 
                $('#modalErrorAgrProducto').modal('toggle'); 
                
              }
              
            },
            error: function (error) {
                console.log(error); 
            }
    });
    }
    function ultimos_productos(datos2){
      console.log('ultimos_productos');
      $.ajax({
            data: datos2,
            url: '../functions/comandas_ticket.php',
            type: 'post',
            success:  function (response) {
              //console.log(response);
              
              if (response==1) {
                
                $('#modalImprimir2').modal('toggle'); 
                var url = "/aqua-restaurant/ticket/ticket_comanda_ultimos.php";
                window.open(url,"_blank");
                $('#tabla_productos_x_nota').load('tabla_productos_nota.php');
                //$('#modalSeleccionarImpresora').modal('show'); 
              }else{
                $('#modalImprimir2').modal('toggle'); 
                $('#modalErrorAgrProducto').modal('toggle'); 
                
              }
              
            },
            error: function (error) {
                console.log(error); 
            }
      });
    }

    function terminar_cuenta_todos_red(datos2){
      console.log('terminar_cuenta_todos_red');
      $.ajax({
        data: datos2,
        url: '../ticket/ticket_comanda_red.php',
        type: 'post',
        success:  function (response) {
          console.log(response);
          
        },
        error: function (error) {
            console.log(error); 
        }
      });
    }

    function terminar_cuenta_ultimos_red(datos2){
      console.log('terminar_cuenta_ultimos_red');
      $.ajax({
        data: datos2,
        url: '../ticket/ticket_comanda_ultimos_red.php',
        type: 'post',
        success:  function (response) {
          console.log(response);
          
        },
        error: function (error) {
            console.log(error); 
        }
      });
    }
    function terminar_cuenta_red(datos2){
      console.log('terminar_cuenta_red');
      $.ajax({
        data: datos2,
        url: '../ticket/ticket_nota_venta_red.php',
        type: 'post',
        success:  function (response) {
          console.log(response);
          
        },
        error: function (error) {
            console.log(error); 
        }
      });
    }
    
   
  });
/** VALIDAR SESIONES DE NOTA */
function validarSesionesNotaUsuario(ntv_id){
    $.ajax({
            data: {ntv_id: ntv_id},
            url: '../functions/sesion_nota_usuario.php',
            type: 'post',
            success:  function (response) {
              if (response==0) {
                //modalMesaOcupada
                $("#liveToast").show();
              }
              //console.log(response);
            },
            error: function (error) {
                console.log(error); 
            }
        });
  }
  function validarUsuarios(){
    let usuario_creador = $("#nom_mesero").attr('data-id-uss')
    let usuario_actual = $("#nom_mesero").attr('data-uss-act')

    if (usuario_actual != usuario_creador) {
      $("#liveToast2").show();
    }
  }
</script>
<!--@Footer-->
<?php
include("path/footer.php");
?>